[SCM] GNU Autoconf source repository branch, master, updated. v2.63-253-gfae0bc2

"Ralf Wildenhues" <[email protected]>
Newsgroups gmane.comp.sysutils.autoconf.cvs
Message-ID <[email protected]>
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU Autoconf source repository".

http://git.sv.gnu.org/gitweb/?p=autoconf.git;a=commitdiff;h=fae0bc2352c4d5bed92a63bd5d34390051e2cd43

The branch, master has been updated
       via  fae0bc2352c4d5bed92a63bd5d34390051e2cd43 (commit)
      from  8aa9813801df87c5437f3e097795d68d9756a4bc (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit fae0bc2352c4d5bed92a63bd5d34390051e2cd43
Author: Ralf Wildenhues <[email protected]>
Date:   Wed Jan 14 07:35:53 2009 +0100

    Ignore `set -e'-related failure of NetBSD sh.
    
    * tests/m4sh.at (AS@&t@_EXIT): Skip test if (NetBSD) shell
    fails to finish EXIT trap after set -e.
    
    Signed-off-by: Ralf Wildenhues <[email protected]>

-----------------------------------------------------------------------

Summary of changes:
 ChangeLog     |    6 ++++++
 tests/m4sh.at |    5 +++--
 2 files changed, 9 insertions(+), 2 deletions(-)

diff --git a/ChangeLog b/ChangeLog
index 63dab6e..20cc56e 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,9 @@
+2009-01-14  Ralf Wildenhues  <[email protected]>
+
+	Ignore `set -e'-related failure of NetBSD sh.
+	* tests/m4sh.at (AS@&t@_EXIT): Skip test if (NetBSD) shell
+	fails to finish EXIT trap after set -e.
+
 2009-01-06  Eric Blake  <[email protected]>
 
 	Maintainer cleanups.
diff --git a/tests/m4sh.at b/tests/m4sh.at
index daedc0e..3664a3d 100644
--- a/tests/m4sh.at
+++ b/tests/m4sh.at
@@ -334,8 +334,9 @@ dnl portability nightmares on what constructs are considered errors across
 dnl various shells; therefore, an overall SKIP result is desirable on
 dnl broken shells like Solaris /bin/sh.
 AT_CHECK([./script '' e], [3])
-AT_CHECK([./script d e], [3], [[3
-]])
+AT_CHECK([./script d e], [3], [stdout])
+dnl NetBSD sh fails to output on stderr here.
+AT_CHECK([grep 3 stdout || exit 77], [], [ignore])
 
 AT_CLEANUP
 


hooks/post-receive
--
GNU Autoconf source repository
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.